// =====================================================================
//  $Id: TShowEventManagerCommand.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TShowEventManagerCommand.hh"
#include "TRunManager.hh"
#include "TEventManager.hh"

static const Tstring _name = "/event/status";
static const Tstring _desc = "show information of EventManager.";

TShowEventManagerCommand::TShowEventManagerCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TShowEventManagerCommand::~TShowEventManagerCommand()
{;}

Tvoid TShowEventManagerCommand::Execute( const TstringList& arguments )
{
  theRunManager -> GetEventManager() -> ShowStatus();
  return;
}
